Private Character Editor overview

Using Private Character Editor (PCE), you can create up to 6,400 unique characters (such as special letters and logos) for use in your font library. PCE contains basic tools for creating and editing characters, along with more advanced options.

Open Private Character Editor.

Notes

  • XOX
  • You can choose to link your private characters to all the fonts in your font library (so that any font you've selected can display your private characters), or you can choose to link your private characters only to specific fonts (so that only the specified font can display your private characters).
  • Using the Select Code dialog box, you can view your entire set of private characters. The Select Code dialog box displays miniature views of all your private characters with their corresponding hexadecimal values.
  • If you want to create a new private character using an existing character as your model, you can copy the existing character to the Edit grid and then modify it to suit your needs, or you can display the existing character in a Reference window alongside your Edit grid for use as a visual reference. You can use any character from any font that is installed on your computer.
  • By default, PCE creates characters using the Unicode character set. In addition, if you have installed one of the Asian input languages (such as Chinese, Japanese, or Korean), you can also use PCE with the Windows character set.

Related Topics


Using the drawing tools to create a private character

You can use the following drawing tools and features to draw and edit a private character in the Edit window.

To | Do this
Draw a character | On the Tools menu, point to Item, and then click a drawing tool, or click a drawing tool on the toolbar. In the Edit window, drag the mouse to draw the character.
Select all or part of a drawing | On the Tools menu, point to Item, and then click Rectangular Selection or Freeform Selection, or click a selection tool on the toolbar. In the Edit window, drag the mouse to select all or part of the drawing.
Move a selection | Click within the selection and drag it to the new location.
Resize a selection | Click a side or corner of the selection and drag.
Flip or rotate a drawing or selection | On the Tools menu, click Flip/Rotate. Select the direction you want to flip or rotate the drawing or selection, and then click OK.
Modify a selection | On the Edit menu, click Cut, Copy, Paste, or Delete.
Undo an action | On the Edit menu, click Undo.
Copy a character to the Edit window | On the Edit menu, click Copy Character. Click the character you want to copy, and then click OK.
Display an existing character in a Reference window alongside the Edit window for use as a visual reference | On the Window menu, click Reference. In the Reference dialog box, click the character you want and then click OK.
Copy all or part of a character from the Reference window to the Edit window | On the Window menu, click Reference. In the Reference dialog box, click the character you want, and then click OK. In the Reference window, drag the mouse to select all or part of the character you want to copy. On the Edit menu, click Copy. Click the title bar of the Edit window, and then on the Edit menu, click Paste. Drag the pasted item where you want it, and release it by clicking elsewhere in the Edit window.
Hide or display the drawing grid | On the View menu, click Grid.
Display the drawing outline to see how the character will look as an installed font | On the View menu, click Show Outline.


Using the toolbar to create a private character

The toolbar on the left side of the Private Character Editor window provides various tools for creating and editing a private character.

To | Click this tool
Create a thin freeform line | Pencil
Create a wide freeform line | Brush
Create a straight line | Straight Line
Create an unfilled rectangle | Hollow Rectangle
Create a filled rectangle | Filled Rectangle
Create an unfilled ellipse | Hollow Ellipse
Create a filled ellipse | Filled Ellipse
Select a rectangular part of the drawing to edit | Rectangular Selection
Select a freeform part of the drawing to edit | Freeform Selection
Erase portions of a drawing | Eraser

Notes

  • To hide and display the toolbar, on the View menu, click Toolbar. A check mark indicates that the toolbar is displayed.
  • To select a tool when the toolbar is hidden, on the Tools menu, point to Item, and then click the tool you want.


Save a private character

Microsoft Windows graphic

To save a private character

  • To save a private character with the hexadecimal code shown on the guidebar, on the Edit menu, click Save Character.
  • To save a private character with a different hexadecimal code, on the Edit menu, click Save Character As.


Change the font that your private character is linked to

To change the font that your private character is linked to

  1. If it isn't already running, open Private Character Editor, and then click Cancel to close the Select Code dialog box.
  2. On the File menu, click Font Links.
  3. Do one of the following:
    • To link a private character to all the fonts installed on your computer, click Link with All Fonts, and then click OK.
    • To link a private character to a specific font installed on your computer, click Link with Selected Fonts, click the font you want to link to, click Save As, enter a file name for the private character, and then click Save. Click OK.

Note

  • XOX


Delete a private character

To delete a private character

  1. If it isn't already running, open Private Character Editor. The Select Code dialog box is automatically displayed. If you're already running Private Character Editor, to open the Select Code dialog box, on the Edit menu, click Select Code.
  2. Click the box corresponding to the character you want to delete, and then click OK.
  3. On the Tools menu, point to Item, and then click Rectangular Selection.
  4. In the Edit grid, drag the mouse to draw a rectangle around the character.
  5. On the Edit menu, click Delete.
  6. On the Edit menu, click Save Character.

Note

  • XOX


Viewing information on the guidebar

The guidebar is located below the menus in the Private Character Editor window. The guidebar displays the following information:

Character Set. Displays the current character set for your private character. Unicode is the most common character set. However, if your system is running one of the Asian input language (such as Chinese, Japanese, or Korean), the Windows character set will also be available.

Code. Displays the hexadecimal code assigned to your private character.

Font. Displays the name of a linked font or indicates that all fonts are linked. Refers to whether only a selected font or all fonts will display your private character.

File. Displays the file name for the private character. The default file name is Eudc.tte if the private character is linked to all the fonts on your system. If the character is linked to a specific font, then the file name is the one you've assigned.

Note

  • To hide or display the guidebar, on the View menu, click Guidebar. A check mark indicates that the guidebar is displayed.


Display the Edit grid

To display the Edit grid

  1. If it isn't already running, open Private Character Editor. The Select Code dialog box is automatically displayed. If you're already running Private Character Editor, to open the Select Code dialog box, on the Edit menu, click Select Code.
  2. In the Select Code dialog box, click the box for the character you want to create or edit, and then click OK. To create a new character, click an empty box.

Note

  • XOX


View your set of private characters

To view your set of private characters

  • If it isn't already running, open Private Character Editor. The Select Code dialog box is automatically displayed. If you're already running Private Character Editor, to open the Select Code dialog box, on the Edit menu, click Select Code.

Note

  • XOX


View your private characters consecutively

To view your private characters consecutively

  1. If it isn't already running, open Private Character Editor, and then close the Select Code dialog box by clicking Cancel.
  2. View your characters by using these two commands:
    • On the View menu, click Next Code to scroll forward through your set of private characters in the order in which they are displayed in Select Code.
    • On the View menu, click Prev Code to scroll backward through your set of private characters in the order in which they are displayed in Select Code.

Notes

  • XOX
  • Private characters that are linked to a different font than the one that is indicated on the guidebar are not displayed.


Use your private characters in a program such as Notepad

To use your private characters in a program such as Notepad

  1. Open Character Map.
  2. In the Font list, click the font that is linked to the private characters you want to use.

    This font name contains the words Private Characters in parentheses. For example, if you linked your private characters to the Times New Roman Font, click Times New Roman (Private Characters). If you have linked your private characters to all fonts, click All Fonts (Private Characters).

  3. Click the private character you want to use, click Select, and then click Copy.
  4. Open the program you want to use the private character in. For the purposes of illustration, you can open Notepad.
  5. In Notepad, on the Format menu, click Font, and then select the font that is linked to the private character you want to use.

    6. This font should be the same font you selected in step 2 of this procedure.

  6. In Notepad, on the Edit menu, click Paste.

    7. The private character is inserted into the Notepad document.

Note

  • XOX